Author Topic: firefox-45.9.0.en-US.os2-Pentium-m-9.9.2-08112020.zip  (Read 281 times)

OS4User

  • Full Member
  • ***
  • Thank You
  • -Given: 72
  • -Receive: 7
  • Posts: 247
  • Karma: +0/-0
    • View Profile
firefox-45.9.0.en-US.os2-Pentium-m-9.9.2-08112020.zip
« on: November 16, 2020, 10:41:45 am »
It works fine, but after updating NSPR to 4.23 it sometimes crashes randomly (the same behavior was in the previous FF).

« Last Edit: November 16, 2020, 10:44:59 am by OS4User »

Dave Yeo

  • Hero Member
  • *****
  • Thank You
  • -Given: 11
  • -Receive: 195
  • Posts: 2720
  • Karma: +16/-0
    • View Profile
Re: firefox-45.9.0.en-US.os2-Pentium-m-9.9.2-08112020.zip
« Reply #1 on: November 16, 2020, 04:29:19 pm »
Yes, it is a known issue, though why the crash is a mystery, note no reference to NSPR4 until way down the stack. It is why NSPR4 and NSS  are still in exp. I'd suggest downgrading them. Not easy but not too hard on the command line.
https://github.com/bitwiseworks/nss-os2/issues/1.
Other then that issue, I've found the GCC 9.9.2 builds fairly stable. There was a few memory related changes needed to get it to compile and needed "-flifetime-dse=1 -fno-delete-null-pointer-checks" to work around Mozilla's crappy coding, memset() related crashes otherwise, something to do with doing the memset() at the wrong time.

OS4User

  • Full Member
  • ***
  • Thank You
  • -Given: 72
  • -Receive: 7
  • Posts: 247
  • Karma: +0/-0
    • View Profile
Re: firefox-45.9.0.en-US.os2-Pentium-m-9.9.2-08112020.zip
« Reply #2 on: November 16, 2020, 04:46:19 pm »
I'd suggest downgrading them.

in my comp:

NSS  is   3.23.0-4
NSPR   is 4.23.0-1

if I downgrade  NSPR to 4.12.0-4    FF  works fine